#include "error.h"
#include "events.h"
#include "height_quantity.h"
#include "init.h"
#include "globals.h"
#include <stdio.h>
int main(int argc, char *argv[]){
  if(argc != 2){
    printf("Usage: anugavis_simple sww_file_name\n");
    return 1;
  }
  if(AnugaVis_Init(640, 480, argv[1]) == -1){
    printf("AnugaVis_Init() Error: %s\n", AnugaVis_GetError());
    return 1;
  }
  if(AnugaVis_DefineHeightQuantity("elevation", 0, 1, 128, 128, 128) == -1){
    printf("AnugaVis_DefineHeightQuantity() Error: %s\n", AnugaVis_GetError());
    return 1;
  }
  if(AnugaVis_DefineHeightQuantity("stage", 0, 1, 0, 0, 128) == -1){
    printf("AnugaVis_DefineHeightQuantity() Error: %s\n", AnugaVis_GetError());
    return 1;
  }

  AnugaVis_Run();

  AnugaVis_DeInit();
  return 0;
}
